/*
Copyright © 2025 Johannes Bülow <johannes.buelow@jmbit.de>

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program. If not, see <http://www.gnu.org/licenses/>.
*/
package main

import (
	"log"
	"log/slog"
	"os"

	"git.jmbit.de/jmb/scanfile/server/internal/config"
	"git.jmbit.de/jmb/scanfile/server/internal/server"
	"github.com/spf13/viper"
)

func main() {
	log.SetOutput(os.Stderr)
	slog.SetDefault(slog.New(slog.NewTextHandler(os.Stderr, nil)))
	config.ReadConfigFile("")
	if viper.GetBool("web.tls") {
		server.NewServer().ListenAndServeTLS(viper.GetString("web.cert"), viper.GetString("web.key"))
	} else {
		server.NewServer().ListenAndServe()
	}
}
